Manifest-Version: 1.0
Bnd-LastModified: 1737558949067
Bundle-ManifestVersion: 2
Bundle-Name: Liferay SAML Web
Bundle-SymbolicName: com.liferay.saml.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.57.hotfix-6417-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype,com.liferay.application.
 list;version="6.0",com.liferay.expando.kernel.model;version="6.0",com
 .liferay.frontend.taglib.clay.servlet.taglib.util;version="4.2",com.l
 iferay.osgi.util;version="2.3",com.liferay.petra.function;version="1.
 5",com.liferay.petra.string;version="1.7",com.liferay.portal.configur
 ation.metatype.annotations;version="1.6",com.liferay.portal.configura
 tion.metatype.bnd.util;version="3.0",com.liferay.portal.kernel.annota
 tion;version="7.0",com.liferay.portal.kernel.dao.search;version="9.0"
 ,com.liferay.portal.kernel.exception;version="13.1",com.liferay.porta
 l.kernel.json;version="12.0",com.liferay.portal.kernel.language;versi
 on="11.0",com.liferay.portal.kernel.lock;version="9.0",com.liferay.po
 rtal.kernel.log;version="8.0",com.liferay.portal.kernel.model;version
 ="29.1",com.liferay.portal.kernel.portlet;version="24.0",com.liferay.
 portal.kernel.portlet.bridges.mvc;version="6.1",com.liferay.portal.ke
 rnel.portlet.url.builder;version="2.0",com.liferay.portal.kernel.repo
 sitory.capabilities;version="2.0",com.liferay.portal.kernel.repositor
 y.model;version="11.2",com.liferay.portal.kernel.resource.bundle;vers
 ion="1.0",com.liferay.portal.kernel.security.auth;version="6.0",com.l
 iferay.portal.kernel.security.permission;version="6.3",com.liferay.po
 rtal.kernel.service;version="20.1",com.liferay.portal.kernel.servlet;
 version="11.2",com.liferay.portal.kernel.servlet.taglib;version="9.0"
 ,com.liferay.portal.kernel.struts;version="8.0",com.liferay.portal.ke
 rnel.theme;version="10.5",com.liferay.portal.kernel.upgrade;version="
 20.0",com.liferay.portal.kernel.upload;version="10.0",com.liferay.por
 tal.kernel.upload.configuration;version="1.0",com.liferay.portal.kern
 el.util;version="57.2",com.liferay.portal.upgrade.registry;version="5
 .0",com.liferay.saml.constants;version="2.5",com.liferay.saml.helper;
 version="1.0",com.liferay.saml.opensaml.integration.field.expression.
 handler;version="1.1",com.liferay.saml.opensaml.integration.field.exp
 ression.handler.registry;version="1.0",com.liferay.saml.opensaml.inte
 gration.field.expression.resolver;version="1.0",com.liferay.saml.open
 saml.integration.field.expression.resolver.registry;version="1.1",com
 .liferay.saml.opensaml.integration.processor;version="1.0",com.lifera
 y.saml.opensaml.integration.processor.context;version="1.1",com.lifer
 ay.saml.opensaml.integration.processor.factory;version="1.0",com.life
 ray.saml.opensaml.integration.resolver;version="2.0",com.liferay.saml
 .persistence.exception;version="1.1",com.liferay.saml.persistence.mod
 el;version="4.1",com.liferay.saml.persistence.service;version="5.1",c
 om.liferay.saml.runtime;version="1.0",com.liferay.saml.runtime.certif
 icate;version="2.0",com.liferay.saml.runtime.configuration;version="5
 .1",com.liferay.saml.runtime.exception;version="1.2",com.liferay.saml
 .runtime.metadata;version="2.1",com.liferay.saml.runtime.servlet.prof
 ile;version="1.0",com.liferay.saml.util;version="2.2",com.liferay.tag
 lib.search;version="2.0",com.liferay.upload;version="1.2",javax.portl
 et,javax.portlet.annotations,javax.servlet,javax.servlet.http,javax.s
 ervlet.jsp,org.osgi.framework;version="1.8",org.osgi.util.tracker;ver
 sion="1.5",javax.net.ssl;resolution:=optional
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Connector to SAML 2.0
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Security
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: false
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.saml.web.internal.application.list,com.li
 feray.saml.web.internal.auth.publicpath,com.liferay.saml.web.internal
 .constants,com.liferay.saml.web.internal.display.context,com.liferay.
 saml.web.internal.exception,com.liferay.saml.web.internal.opensaml.in
 tegration.field.expression.handler,com.liferay.saml.web.internal.open
 saml.integration.field.expression.resolver,com.liferay.saml.web.inter
 nal.portlet,com.liferay.saml.web.internal.portlet.action,com.liferay.
 saml.web.internal.servlet.taglib,com.liferay.saml.web.internal.struts
 ,com.liferay.saml.web.internal.upgrade.registry,com.liferay.saml.web.
 internal.upgrade.v1_0_0,com.liferay.saml.web.internal.upload,com.life
 ray.saml.web.internal.util
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .application.list.PanelApp";uses:="com.liferay.application.list",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.portlet.
 bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.portle
 t.bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.p
 ortal.kernel.portlet.bridges.mvc",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand"
 ;uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.servlet.taglib.Dyn
 amicInclude";uses:="com.liferay.portal.kernel.servlet.taglib",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.struts.Stru
 tsAction";uses:="com.liferay.portal.kernel.struts",osgi.service;objec
 tClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeStepR
 egistrator";uses:="com.liferay.portal.upgrade.registry",osgi.service;
 objectClass:List<String>="com.liferay.saml.opensaml.integration.field
 .expression.handler.SamlSpIdpConnectionFieldExpressionHandler";uses:=
 "com.liferay.saml.opensaml.integration.field.expression.handler",osgi
 .service;objectClass:List<String>="com.liferay.saml.opensaml.integrat
 ion.field.expression.resolver.UserFieldExpressionResolver";uses:="com
 .liferay.saml.opensaml.integration.field.expression.resolver",osgi.se
 rvice;objectClass:List<String>="com.liferay.saml.web.internal.upload.
 CertificateUploadFileEntryHandler";uses:="com.liferay.saml.web.intern
 al.upload",osgi.service;objectClass:List<String>="com.liferay.saml.we
 b.internal.upload.CertificateUploadResponseHandler";uses:="com.lifera
 y.saml.web.internal.upload",osgi.service;objectClass:List<String>="ja
 va.lang.Object",osgi.service;objectClass:List<String>="javax.portlet.
 Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/util))",osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.json.JSONFactory)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.language.Langu
 age)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.model.Portlet)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.util.Portal)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.uti
 l.Props)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.saml.helper.RelayStateHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.saml.opensaml.integration.field.expr
 ession.handler.registry.SamlSpIdpConnectionFieldExpressionHandlerRegi
 stry)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.saml.opensaml.integration.field.expression.handler.registry.UserFi
 eldExpressionHandlerRegistry)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.saml.opensaml.integration.field.expression
 .resolver.registry.UserFieldExpressionResolverRegistry)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.saml.opensaml.in
 tegration.processor.factory.SamlSpIdpConnectionProcessorFactory)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.saml.pe
 rsistence.service.SamlIdpSpConnectionLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.saml.persistence.serv
 ice.SamlSpIdpConnectionLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.saml.runtime.certificate.Certificat
 eTool)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.saml.runtime.configuration.SamlProviderConfigurationHelper)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.saml.run
 time.metadata.LocalEntityManager)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.saml.runtime.servlet.profile.SamlSpIdp
 ConnectionsProfile)";effective:=active;resolution:=optional,osgi.serv
 ice;filter:="(objectClass=com.liferay.saml.runtime.servlet.profile.Si
 ngleLogoutProfile)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.saml.runtime.servlet.profile.WebSsoProfile)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.saml.util.Sa
 mlHttpRequestUtil)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.saml.web.internal.upload.CertificateUploadFileEntryHa
 ndler)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.saml.web.internal.upload.CertificateUploadResponseHandler)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.upload.Up
 loadHandler)";effective:=active,osgi.service;filter:="(objectClass=ja
 vax.servlet.ServletContext)";effective:=active,osgi.extender;filter:=
 "(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))
 ",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=J
 avaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=JavaServlet;
 filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filte
 r:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.saml.web.internal.application.
 list.SamlAdminPanelApp.xml,OSGI-INF/com.liferay.saml.web.internal.aut
 h.publicpath.AuthPublicPath.xml,OSGI-INF/com.liferay.saml.web.interna
 l.opensaml.integration.field.expression.handler.AttributeMappingSamlS
 pIdpConnectionFieldExpressionHandler.xml,OSGI-INF/com.liferay.saml.we
 b.internal.opensaml.integration.field.expression.handler.DefaultSamlS
 pIdpConnectionFieldExpressionHandler.xml,OSGI-INF/com.liferay.saml.we
 b.internal.opensaml.integration.field.expression.resolver.AttributeUs
 erFieldExpressionResolver.xml,OSGI-INF/com.liferay.saml.web.internal.
 portlet.SamlAdminPortlet.xml,OSGI-INF/com.liferay.saml.web.internal.p
 ortlet.action.AdminViewMVCRenderCommand.xml,OSGI-INF/com.liferay.saml
 .web.internal.portlet.action.DeleteSamlIdpSpConnectionMVCActionComman
 d.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.action.DeleteSam
 lSpIdpConnectionMVCActionCommand.xml,OSGI-INF/com.liferay.saml.web.in
 ternal.portlet.action.DownloadCertificateMVCResourceCommand.xml,OSGI-
 INF/com.liferay.saml.web.internal.portlet.action.EditIdentityProvider
 ConnectionMVCRenderCommand.xml,OSGI-INF/com.liferay.saml.web.internal
 .portlet.action.EditServiceProviderConnectionMVCRenderCommand.xml,OSG
 I-INF/com.liferay.saml.web.internal.portlet.action.UpdateCertificateM
 VCActionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.ac
 tion.UpdateCertificateMVCRenderCommand.xml,OSGI-INF/com.liferay.saml.
 web.internal.portlet.action.UpdateCertificateMVCResourceCommand.xml,O
 SGI-INF/com.liferay.saml.web.internal.portlet.action.UpdateGeneralMVC
 ActionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.acti
 on.UpdateIdentityProviderConnectionMVCActionCommand.xml,OSGI-INF/com.
 liferay.saml.web.internal.portlet.action.UpdateIdentityProviderMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.saml.web.internal.portlet.action.
 UpdateServiceProviderConnectionMVCActionCommand.xml,OSGI-INF/com.life
 ray.saml.web.internal.portlet.action.UpdateServiceProviderMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.saml.web.internal.servlet.taglib.SamlB
 ottomJSPDynamicInclude.xml,OSGI-INF/com.liferay.saml.web.internal.str
 uts.AssertionConsumerServiceAction.xml,OSGI-INF/com.liferay.saml.web.
 internal.struts.AuthRedirectAction.xml,OSGI-INF/com.liferay.saml.web.
 internal.struts.MetadataAction.xml,OSGI-INF/com.liferay.saml.web.inte
 rnal.struts.SamlLoginAction.xml,OSGI-INF/com.liferay.saml.web.interna
 l.struts.SingleLogoutAction.xml,OSGI-INF/com.liferay.saml.web.interna
 l.struts.WebSsoAction.xml,OSGI-INF/com.liferay.saml.web.internal.upgr
 ade.registry.SamlWebUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.s
 aml.web.internal.upload.CertificateUploadFileEntryHandler.xml,OSGI-IN
 F/com.liferay.saml.web.internal.upload.CertificateUploadResponseHandl
 er.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /saml-web

